Xeonr Developer Docs
API SpecificationBuckets

List All Buckets

POST
/xeonr.notes.v1.NotesBucketsService/ListAllBuckets

Lists all buckets the authenticated user has access to, including those without notes enabled.

AuthorizationBearer <token>

JWT access token obtained via OAuth2 flow or service account

In: header

Header Parameters

Connect-Protocol-Version*number

Define the version of the Connect protocol

Value in1
Connect-Timeout-Ms?number

Define the timeout, in ms

Request Body

application/json

[key: string]?never

Response Body

application/json

application/json

curl -X POST "https://notes-api.xeonr.io/xeonr.notes.v1.NotesBucketsService/ListAllBuckets" \  -H "Connect-Protocol-Version: 1" \  -H "Content-Type: application/json" \  -d '{}'
{
  "buckets": [
    {
      "bucketId": "string",
      "name": "string",
      "permissionLevel": 0,
      "isOwner": true
    }
  ]
}
{
  "code": "not_found",
  "message": "string",
  "details": [
    {
      "type": "string",
      "value": "string",
      "debug": {}
    }
  ]
}